%global git_date    20110724
%global git_version f41a49

Name:           lastuser
Version:        0.1
Release:        5.%{git_date}git%{git_version}%{?dist}
Summary:        User management application

Group:          Development/Libraries
License:        BSD
URL:            https://github.com/hasgeek/lastuser

# git clone https://github.com/hasgeek/lastuser
# cd lastuser
# git archive --format=tar Head | xz  > {name}-{version}.{git_date}git{git_version}.tar.xz
Source0:        %{name}-%{version}.%{git_date}git%{git_version}.tar.xz    

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-flask
BuildRequires:  python-flask-sqlalchemy
BuildRequires:  python-sqlalchemy
BuildRequires:  python-webassets
BuildRequires:  python-flask-wtf
BuildRequires:  python-flask-openid
BuildRequires:  python-flask-oauth
BuildRequires:  python-markdown
BuildRequires:  python-chardet
BuildRequires:  python-lamson
BuildRequires:  python-openid
BuildRequires:  python-httplib2
BuildRequires:  python-oauth2
BuildRequires:  python-setuptools
BuildRequires:  python-flask-mail
BuildRequires:  python-flask-assets
BuildRequires:  python-wtforms
BuildRequires:  python-flask-wtf
BuildRequires:  pytz

%description
User management is a pain. There's no need to write new user management code
for each new app to do basic things like logging in, managing the profile and
verifying email addresses. Setup one LastUser instance for all your apps and
defer all user management to it. Use the API to integrate with your app.

%prep
%setup -q -cn %{name}-%{version}.%{git_date}git%{git_version}
cp -p lastuserapp/settings-sample.py lastuserapp/settings.py
chmod -x lastuserapp/static/js/profiling/yahoo-profiling.css
chmod -x lastuserapp/static/js/profiling/*.js
sed -i -e '1d' lastuserapp/website.py

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc README.rst CHANGES.rst LICENSE.txt
%{python_sitelib}/*.egg-info/
%{python_sitelib}/lastuserapp/


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5.20110724gitf41a49
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4.20110724gitf41a49
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Aug 05 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.1-3.20110724gitf41a49
- Rechecked build requires and add more dependencies

* Mon Jul 25 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.1-2.20110724gitf41a49
- Add license file and other dependencies

* Fri Jul 22 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.1-1.20110722git584fe0
- Initial RPM release
